Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88389 - cant start xdm or kdm due to wrong variable name in prefdm
Summary: cant start xdm or kdm due to wrong variable name in prefdm
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinitrc
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 17:51 UTC by Jan
Modified: 2015-01-08 00:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-11 23:14:28 UTC


Attachments (Terms of Use)

Description Jan 2003-04-09 17:51:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
> In /etc/sysconfig is a file "desktop" which contains e.g. the line:
> DESKTOP=GNOME. It is sourced by /etc/X11/prefdm.
> 
> However, in prefdm the variable which is tested to decide which
> display manager to start, is $DISPLAYMANAGER. The test is always
> false, so $preferred is always gdm.
> 
> If you want kdm you need to add "DISPLAYMANAGER=kdm" into
> /etc/sysconfig/desktop. Maybe you can even delete the line
> DESKTOP=KDE, but I don't know if any other script relies on this
> variable being set.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. change value for DESKTOP in /etc/sysconfig
2. re-start X
3. Display Manager is still GDM
    

Actual Results:  Display Manager is still GDM

Expected Results:  Display Manager should be KDM

Additional info: This already happened in Red Hat 8

Comment 1 Mike A. Harris 2003-04-11 23:14:28 UTC
Sorry, but you're mistaken here.  There are two variables involved.

DESKTOP - selects which desktop environment you wish to use - GNOME/KDE/etc
DISPLAYMANAGER - selects which display manager you wish to use - xdm/kdm/gdm

This is the way it has always worked, and it is fully documented in the
manuals.  If you want a different display manager than what you're given
by default, then you *MUST* set DISPLAYMANAGER.  prefdm is doing the right
thing.

Closing NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.